# rwd config
delete from `integrated_config` where application = 'dmp-rwd-datautils';
INSERT INTO `integrated_config`
(`APPLICATION`,`PPROFILE`,`LABLE`,`BELONGTO`,`ISUPDATE`,`PKEY`,`PVALUE`,`DESCRIPTION`)
VALUES
('dmp-rwd-datautils','default','master','DMP',1,'spring.jackson.time-zone', 'Asia/Shanghai', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.jpa.show-sql', 'false', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.jpa.hibernate.ddl-auto', 'none', null),
('dmp-rwd-datautils','default','master','DMP',1,'management.endpoints.web.exposure.include', '*', null),
('dmp-rwd-datautils','default','master','DMP',1,'management.endpoint.health.show-details', 'ALWAYS', null),
('dmp-rwd-datautils','default','master','DMP',1,'eureka.client.fetch-registry','true',null),
('dmp-rwd-datautils','default','master','DMP',1,'eureka.client.register-with-eureka','true',null),
('dmp-rwd-datautils','default','master','DMP',1,'eureka.instance.lease-renewal-interval-in-seconds','10',null),
('dmp-rwd-datautils','default','master','DMP',1,'eureka.instance.lease-expiration-duration-in-seconds','30',null),
('dmp-rwd-datautils','default','master','DMP',1,'eureka.instance.hostname','${spring.application.name}',null),
('dmp-rwd-datautils','default','master','DMP',1,'eureka.instance.prefer-ip-address','true',null),
('dmp-rwd-datautils','default','master','DMP',1,'eureka.instance.instance-id','${spring.cloud.client.ip-address}:${server.port}',null),

('dmp-rwd-datautils','default','master','DMP',1,'spring.datasource.type', 'com.alibaba.druid.pool.DruidDataSource', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.datasource.driverClassName', 'com.mysql.cj.jdbc.Driver', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.datasource.url', 'jdbc:mysql://${persagy.mysql.host}:${persagy.mysql.port}/${persagy.mysql.database}?useUnicode=true&characterEncoding=utf-8&mysqlEncoding=utf8&useSSL=false', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.datasource.username', '${persagy.mysql.username}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.datasource.password', '${persagy.mysql.password}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.datasource.max-active', '${persagy.mysql.maxActive}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.datasource.max-idle', '20', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.datasource.min-idle', '10', null),

('dmp-rwd-datautils','default','master','DMP',1,'spring.rabbitmq.host', '${persagy.rabbitmq.host}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.rabbitmq.port', '${persagy.rabbitmq.port}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.rabbitmq.username', '${persagy.rabbitmq.username}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.rabbitmq.password', '${persagy.rabbitmq.password}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.rabbitmq.virtual-host', '${persagy.rabbitmq.virtual-host}', null),

('dmp-rwd-datautils','default','master','DMP',1,'spring.redis.host', '${persagy.redis.host}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.redis.port', '${persagy.redis.port}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.redis.password', '${persagy.redis.password}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.redis.database', '${persagy.redis.database}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.redis.pool.max-active', '${persagy.redis.max-active}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.redis.pool.max-idle', '${persagy.redis.max-idle}', null),
('dmp-rwd-datautils','default','master','DMP',1,'spring.redis.pool.min-idle', '${persagy.redis.min-idle}', null),

('dmp-rwd-datautils','default','master','DMP',1,'persagy.dmp.exchange', 'exchange-dmp', null),
('dmp-rwd-datautils','default','master','DMP',1,'persagy.dmp.datautils.routingKey', 'routing-dmp-rwd-datautils', null),

('dmp-rwd-datautils','dev','master','DMP',1,'server.port', '9001', null),

('dmp-rwd-datautils','dev','master','DMP',1,'eureka.client.service-url.defaultZone','http://frame:123456@localhost:9931/eureka/','注册中心地址'),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.iot.data.server', 'http://localhost:9981', 'IOT数据查询服务'),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.iot.setting.server', 'http://localhost:9983', 'IOT控制服务'),

('dmp-rwd-datautils','dev','master','DMP',1,'persagy.mysql.host', '192.168.64.15', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.mysql.port', '9934', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.mysql.database', 'dmp_test_rwd', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.mysql.username', 'root', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.mysql.password', 'brzj123456', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.mysql.initialSize', '10', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.mysql.maxActive', '100', null),

('dmp-rwd-datautils','dev','master','DMP',1,'persagy.redis.host', '192.168.64.15', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.redis.port', '9944', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.redis.password', 'brzj123456', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.redis.database', '0', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.redis.max-active', '100', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.redis.max-idle', '50', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.redis.min-idle', '10', null),

('dmp-rwd-datautils','dev','master','DMP',1,'persagy.rabbitmq.host', '192.168.64.15', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.rabbitmq.port', '9936', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.rabbitmq.username', 'admin', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.rabbitmq.password', 'brzj123456', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.rabbitmq.virtual-host', '/test', null),
('dmp-rwd-datautils','dev','master','DMP',1,'persagy.dmp.datautils.queue', 'queue-dmp-datautils', null),

('dmp-rwd-datautils','dev','master','DMP',1,'persagy.log.path', '.', '日志文件所在路径');

