package com.persagy.dmp.rwd.sharding;

import org.hibernate.dialect.MySQL57Dialect;
import org.hibernate.dialect.function.StandardSQLFunction;
import org.hibernate.type.StandardBasicTypes;

/**
 * @author: yaoll
 * @date: 2020-12-20
 * @verison: 1.0
 */
public class JsonDialect extends MySQL57Dialect {

	public JsonDialect() {
		this.registerFunction("json_extract", new StandardSQLFunction("json_extract", StandardBasicTypes.STRING));
		this.registerFunction("json_unquote", new StandardSQLFunction("json_unquote", StandardBasicTypes.STRING));
	}
}
